Package commoble.morered.plate_blocks

# Class PlateBlockStateProperties

java.lang.Object
commoble.morered.plate_blocks.PlateBlockStateProperties

public class PlateBlockStateProperties extends Object
The three input booleanproperties here are the inputs 90, 180, and 270 degrees clockwise from the output e.g. OUTPUT /-----\ | | C | | A | | \-----/ B For consistency, logic plates with fewer than three inputs still use the input property for the appropriate side (a gate with one input opposite from the output should use the input B property)

## Field Summary

Fields
Modifier and Type
Field
Description
`static final net.minecraft.world.level.block.state.properties.DirectionProperty`
`ATTACHMENT_DIRECTION`
`static final net.minecraft.world.level.block.state.properties.BooleanProperty`
`INPUT_A`
The first input clockwise from the output
`static final net.minecraft.world.level.block.state.properties.BooleanProperty`
`INPUT_B`
The second input clockwise from the output
`static final net.minecraft.world.level.block.state.properties.BooleanProperty`
`INPUT_C`
The third input clockwise from the output
`static final net.minecraft.world.level.block.state.properties.IntegerProperty`
`ROTATION`

## Constructor Summary

Constructors
Constructor
Description
`PlateBlockStateProperties()`

## Method Summary

Modifier and Type
Method
Description
`static net.minecraft.core.Direction`
`getOutputDirection(net.minecraft.world.level.block.state.BlockState state)`
`static net.minecraft.world.level.block.state.BlockState`
`getStateForPlacedGatePlate(net.minecraft.world.level.block.state.BlockState state, net.minecraft.core.BlockPos placePos, net.minecraft.core.Direction directionTowardAdjacentBlock, net.minecraft.world.phys.Vec3 relativeHitVec)`
`static net.minecraft.world.level.block.state.BlockState`
`getStateForPlacedGatePlate(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.item.context.BlockPlaceContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ATTACHMENT_DIRECTION

public static final net.minecraft.world.level.block.state.properties.DirectionProperty ATTACHMENT_DIRECTION

### ROTATION

public static final net.minecraft.world.level.block.state.properties.IntegerProperty ROTATION

### INPUT_A

public static final net.minecraft.world.level.block.state.properties.BooleanProperty INPUT_A
The first input clockwise from the output

### INPUT_B

public static final net.minecraft.world.level.block.state.properties.BooleanProperty INPUT_B
The second input clockwise from the output

### INPUT_C

public static final net.minecraft.world.level.block.state.properties.BooleanProperty INPUT_C
The third input clockwise from the output

## Constructor Details

### PlateBlockStateProperties

public PlateBlockStateProperties()

## Method Details

### getOutputDirection

public static net.minecraft.core.Direction getOutputDirection(net.minecraft.world.level.block.state.BlockState state)

### getStateForPlacedGatePlate

public static net.minecraft.world.level.block.state.BlockState getStateForPlacedGatePlate(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.item.context.BlockPlaceContext context)

### getStateForPlacedGatePlate

public static net.minecraft.world.level.block.state.BlockState getStateForPlacedGatePlate(net.minecraft.world.level.block.state.BlockState state, net.minecraft.core.BlockPos placePos, net.minecraft.core.Direction directionTowardAdjacentBlock, net.minecraft.world.phys.Vec3 relativeHitVec)